Bug 222745 - [exp-run] Base Heimdal private libraries/includes.
Summary: [exp-run] Base Heimdal private libraries/includes.
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL: https://svnweb.freebsd.org/base/proje...
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-03 05:03 UTC by Cy Schubert
Modified: 2018-09-20 01:59 UTC (History)
3 users (show)

See Also:
cy: exp-run?


Attachments
Patch to src to make heimdal private. (41.42 KB, patch)
2017-10-03 19:18 UTC, Cy Schubert
no flags Details | Diff
Make Heimdal in base private (41.15 KB, patch)
2018-04-07 19:46 UTC, Cy Schubert
no flags Details | Diff
New make heimdal in base private (45.24 KB, patch)
2018-07-02 07:13 UTC, Cy Schubert
no flags Details | Diff
Ports patch (33.77 KB, patch)
2018-07-02 07:13 UTC, Cy Schubert
no flags Details | Diff
UPdated patch to make Hiemdal in base private (47.95 KB, patch)
2018-09-15 20:57 UTC, Cy Schubert
no flags Details | Diff
Ports patch (34.28 KB, patch)
2018-09-15 20:58 UTC, Cy Schubert
no flags Details | Diff
Ports patch (31.98 KB, patch)
2018-09-20 01:59 UTC, Cy Schubert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Cy Schubert freebsd_committer 2017-10-03 05:03:02 UTC
I would like to test or have tested an exp-run to determine which ports break by making Heimdal libraries and headers private, as committed to src/projects/krb5.

(I should probably MFH to the latest head before the exp-run.)

Let me know what I need to do to prepare for an exp-run.
Comment 1 Baptiste Daroussin freebsd_committer 2017-10-03 07:54:33 UTC
Can you please provide a patch to actually turn heimdal into private library
Comment 2 Cy Schubert freebsd_committer 2017-10-03 19:18:57 UTC
Created attachment 186891 [details]
Patch to src to make heimdal private.

Created diff using svn diff -cr323334 --patch-compatible > /tmp/heimdal-pvt.diff.
Comment 3 Cy Schubert freebsd_committer 2017-10-03 19:48:49 UTC
Hold off for a moment. HEAD has changed enough to cause two files to not patch properly. I'll generate a new patch (and MFH to the project branch too).
Comment 4 commit-hook freebsd_committer 2017-10-04 01:15:59 UTC
A commit references this bug:

Author: cy
Date: Wed Oct  4 01:14:58 UTC 2017
New revision: 324245
URL: https://svnweb.freebsd.org/changeset/base/324245

Log:
  MFH to r324243.

  PR:		In prep for 222745 (exp-run).

Changes:
_U  projects/krb5/
  projects/krb5/Makefile.inc1
  projects/krb5/Makefile.libcompat
  projects/krb5/ObsoleteFiles.inc
  projects/krb5/UPDATING
  projects/krb5/bin/cat/cat.c
  projects/krb5/bin/cat/tests/Makefile
  projects/krb5/bin/chflags/Makefile
  projects/krb5/bin/mkdir/Makefile
  projects/krb5/bin/rcp/Makefile
  projects/krb5/bin/rmdir/Makefile
_U  projects/krb5/cddl/
_U  projects/krb5/cddl/contrib/opensolaris/
  projects/krb5/cddl/contrib/opensolaris/cmd/dtrace/test/tst/common/funcs/tst.inet_ntop.d
  projects/krb5/cddl/contrib/opensolaris/cmd/dtrace/test/tst/common/raise/tst.raise1.c
  projects/krb5/cddl/contrib/opensolaris/cmd/dtrace/test/tst/common/raise/tst.raise1.d
  projects/krb5/cddl/contrib/opensolaris/cmd/dtrace/test/tst/common/raise/tst.raise2.c
  projects/krb5/cddl/contrib/opensolaris/cmd/dtrace/test/tst/common/raise/tst.raise2.d
  projects/krb5/cddl/contrib/opensolaris/cmd/dtrace/test/tst/common/raise/tst.raise3.c
  projects/krb5/cddl/contrib/opensolaris/cmd/dtrace/test/tst/common/raise/tst.raise3.d
_U  projects/krb5/cddl/contrib/opensolaris/cmd/zdb/
  projects/krb5/cddl/contrib/opensolaris/cmd/zdb/zdb.8
  projects/krb5/cddl/contrib/opensolaris/cmd/zdb/zdb.c
_U  projects/krb5/cddl/contrib/opensolaris/cmd/zfs/
  projects/krb5/cddl/contrib/opensolaris/cmd/zfs/zfs-program.8
  projects/krb5/cddl/contrib/opensolaris/cmd/zfs/zfs.8
  projects/krb5/cddl/contrib/opensolaris/cmd/zfs/zfs_main.c
  projects/krb5/cddl/contrib/opensolaris/cmd/zpool/zpool.8
  projects/krb5/cddl/contrib/opensolaris/cmd/zpool/zpool_main.c
  projects/krb5/cddl/contrib/opensolaris/cmd/ztest/ztest.c
  projects/krb5/cddl/contrib/opensolaris/lib/libdtrace/common/dt_open.c
_U  projects/krb5/cddl/contrib/opensolaris/lib/libzfs/
  projects/krb5/cddl/contrib/opensolaris/lib/libzfs/common/libzfs.h
  projects/krb5/cddl/contrib/opensolaris/lib/libzfs/common/libzfs_dataset.c
  projects/krb5/cddl/contrib/opensolaris/lib/libzfs/common/libzfs_impl.h
  projects/krb5/cddl/contrib/opensolaris/lib/libzfs/common/libzfs_import.c
  projects/krb5/cddl/contrib/opensolaris/lib/libzfs/common/libzfs_mount.c
  projects/krb5/cddl/contrib/opensolaris/lib/libzfs/common/libzfs_pool.c
  projects/krb5/cddl/contrib/opensolaris/lib/libzfs/common/libzfs_util.c
  projects/krb5/cddl/contrib/opensolaris/lib/libzfs_core/common/libzfs_core.c
  projects/krb5/cddl/contrib/opensolaris/lib/libzfs_core/common/libzfs_core.h
  projects/krb5/cddl/contrib/opensolaris/lib/libzpool/common/kernel.c
  projects/krb5/cddl/contrib/opensolaris/lib/libzpool/common/sys/zfs_context.h
  projects/krb5/cddl/contrib/opensolaris/lib/libzpool/common/util.c
  projects/krb5/cddl/lib/libzpool/Makefile
  projects/krb5/cddl/sbin/zfs/Makefile
  projects/krb5/cddl/usr.sbin/zfsd/zfsd_event.cc
_U  projects/krb5/contrib/elftoolchain/
  projects/krb5/contrib/elftoolchain/readelf/readelf.c
_U  projects/krb5/contrib/file/
  projects/krb5/contrib/file/ChangeLog
  projects/krb5/contrib/file/aclocal.m4
  projects/krb5/contrib/file/config.guess
  projects/krb5/contrib/file/config.sub
  projects/krb5/contrib/file/configure
  projects/krb5/contrib/file/configure.ac
  projects/krb5/contrib/file/doc/file.man
  projects/krb5/contrib/file/doc/libmagic.man
  projects/krb5/contrib/file/doc/magic.man
  projects/krb5/contrib/file/magic/Localstuff
  projects/krb5/contrib/file/magic/Magdir/adventure
  projects/krb5/contrib/file/magic/Magdir/amanda
  projects/krb5/contrib/file/magic/Magdir/amigaos
  projects/krb5/contrib/file/magic/Magdir/android
  projects/krb5/contrib/file/magic/Magdir/animation
  projects/krb5/contrib/file/magic/Magdir/apache
  projects/krb5/contrib/file/magic/Magdir/apple
  projects/krb5/contrib/file/magic/Magdir/archive
  projects/krb5/contrib/file/magic/Magdir/att3b
  projects/krb5/contrib/file/magic/Magdir/audio
  projects/krb5/contrib/file/magic/Magdir/bhl
  projects/krb5/contrib/file/magic/Magdir/blackberry
  projects/krb5/contrib/file/magic/Magdir/blender
  projects/krb5/contrib/file/magic/Magdir/c-lang
  projects/krb5/contrib/file/magic/Magdir/cad
  projects/krb5/contrib/file/magic/Magdir/cafebabe
  projects/krb5/contrib/file/magic/Magdir/clipper
  projects/krb5/contrib/file/magic/Magdir/coff
  projects/krb5/contrib/file/magic/Magdir/commands
  projects/krb5/contrib/file/magic/Magdir/compress
  projects/krb5/contrib/file/magic/Magdir/console
  projects/krb5/contrib/file/magic/Magdir/cups
  projects/krb5/contrib/file/magic/Magdir/database
  projects/krb5/contrib/file/magic/Magdir/der
  projects/krb5/contrib/file/magic/Magdir/diff
  projects/krb5/contrib/file/magic/Magdir/dolby
  projects/krb5/contrib/file/magic/Magdir/dump
  projects/krb5/contrib/file/magic/Magdir/dyadic
  projects/krb5/contrib/file/magic/Magdir/editors
  projects/krb5/contrib/file/magic/Magdir/filesystems
  projects/krb5/contrib/file/magic/Magdir/flash
  projects/krb5/contrib/file/magic/Magdir/fonts
  projects/krb5/contrib/file/magic/Magdir/fsav
  projects/krb5/contrib/file/magic/Magdir/games
  projects/krb5/contrib/file/magic/Magdir/gconv
  projects/krb5/contrib/file/magic/Magdir/geo
  projects/krb5/contrib/file/magic/Magdir/gnu
  projects/krb5/contrib/file/magic/Magdir/gpt
  projects/krb5/contrib/file/magic/Magdir/gpu
  projects/krb5/contrib/file/magic/Magdir/gringotts
  projects/krb5/contrib/file/magic/Magdir/hitachi-sh
  projects/krb5/contrib/file/magic/Magdir/ibm370
  projects/krb5/contrib/file/magic/Magdir/ibm6000
  projects/krb5/contrib/file/magic/Magdir/icc
  projects/krb5/contrib/file/magic/Magdir/images
  projects/krb5/contrib/file/magic/Magdir/intel
  projects/krb5/contrib/file/magic/Magdir/isz
  projects/krb5/contrib/file/magic/Magdir/jpeg
  projects/krb5/contrib/file/magic/Magdir/kerberos
  projects/krb5/contrib/file/magic/Magdir/kml
  projects/krb5/contrib/file/magic/Magdir/linux
  projects/krb5/contrib/file/magic/Magdir/lisp
  projects/krb5/contrib/file/magic/Magdir/m4
  projects/krb5/contrib/file/magic/Magdir/macintosh
  projects/krb5/contrib/file/magic/Magdir/make
  projects/krb5/contrib/file/magic/Magdir/maple
  projects/krb5/contrib/file/magic/Magdir/marc21
  projects/krb5/contrib/file/magic/Magdir/mathematica
  projects/krb5/contrib/file/magic/Magdir/metastore
  projects/krb5/contrib/file/magic/Magdir/meteorological
  projects/krb5/contrib/file/magic/Magdir/microfocus
  projects/krb5/contrib/file/magic/Magdir/mime
  projects/krb5/contrib/file/magic/Magdir/misctools
  projects/krb5/contrib/file/magic/Magdir/modem
  projects/krb5/contrib/file/magic/Magdir/mozilla
  projects/krb5/contrib/file/magic/Magdir/msdos
  projects/krb5/contrib/file/magic/Magdir/msvc
  projects/krb5/contrib/file/magic/Magdir/msx
  projects/krb5/contrib/file/magic/Magdir/mup
  projects/krb5/contrib/file/magic/Magdir/nasa
  projects/krb5/contrib/file/magic/Magdir/netbsd
  projects/krb5/contrib/file/magic/Magdir/netscape
  projects/krb5/contrib/file/magic/Magdir/nitpicker
  projects/krb5/contrib/file/magic/Magdir/os2
  projects/krb5/contrib/file/magic/Magdir/os9
  projects/krb5/contrib/file/magic/Magdir/pbf
  projects/krb5/contrib/file/magic/Magdir/pc88
  projects/krb5/contrib/file/magic/Magdir/pc98
  projects/krb5/contrib/file/magic/Magdir/pdf
  projects/krb5/contrib/file/magic/Magdir/pdp
  projects/krb5/contrib/file/magic/Magdir/perl
  projects/krb5/contrib/file/magic/Magdir/pgf
  projects/krb5/contrib/file/magic/Magdir/pgp
  projects/krb5/contrib/file/magic/Magdir/printer
  projects/krb5/contrib/file/magic/Magdir/project
  projects/krb5/contrib/file/magic/Magdir/psdbms
  projects/krb5/contrib/file/magic/Magdir/python
  projects/krb5/contrib/file/magic/Magdir/riff
  projects/krb5/contrib/file/magic/Magdir/ruby
  projects/krb5/contrib/file/magic/Magdir/sccs
  projects/krb5/contrib/file/magic/Magdir/scientific
  projects/krb5/contrib/file/magic/Magdir/sendmail
  projects/krb5/contrib/file/magic/Magdir/sequent
  projects/krb5/contrib/file/magic/Magdir/sgml
  projects/krb5/contrib/file/magic/Magdir/sharc
  projects/krb5/contrib/file/magic/Magdir/sketch
  projects/krb5/contrib/file/magic/Magdir/sql
  projects/krb5/contrib/file/magic/Magdir/ssl
  projects/krb5/contrib/file/magic/Magdir/sysex
  projects/krb5/contrib/file/magic/Magdir/terminfo
  projects/krb5/contrib/file/magic/Magdir/vms
  projects/krb5/contrib/file/magic/Magdir/vmware
  projects/krb5/contrib/file/magic/Magdir/vorbis
  projects/krb5/contrib/file/magic/Magdir/webassembly
  projects/krb5/contrib/file/magic/Magdir/windows
  projects/krb5/contrib/file/magic/Magdir/xenix
  projects/krb5/contrib/file/magic/Magdir/xilinx
  projects/krb5/contrib/file/magic/Magdir/xwindows
  projects/krb5/contrib/file/magic/Magdir/yara
  projects/krb5/contrib/file/magic/Makefile.am
  projects/krb5/contrib/file/magic/Makefile.in
  projects/krb5/contrib/file/python/magic.py
  projects/krb5/contrib/file/src/apprentice.c
  projects/krb5/contrib/file/src/cdf.c
  projects/krb5/contrib/file/src/cdf.h
  projects/krb5/contrib/file/src/cdf_time.c
  projects/krb5/contrib/file/src/compress.c
  projects/krb5/contrib/file/src/der.c
  projects/krb5/contrib/file/src/file.h
  projects/krb5/contrib/file/src/fsmagic.c
  projects/krb5/contrib/file/src/funcs.c
  projects/krb5/contrib/file/src/is_tar.c
  projects/krb5/contrib/file/src/magic.c
  projects/krb5/contrib/file/src/magic.h.in
  projects/krb5/contrib/file/src/print.c
  projects/krb5/contrib/file/src/readcdf.c
  projects/krb5/contrib/file/src/readelf.c
  projects/krb5/contrib/file/src/readelf.h
  projects/krb5/contrib/file/src/softmagic.c
  projects/krb5/contrib/file/src/vasprintf.c
  projects/krb5/contrib/file/tests/Makefile.am
  projects/krb5/contrib/file/tests/Makefile.in
  projects/krb5/contrib/file/tests/hddrawcopytool.result
  projects/krb5/contrib/file/tests/hddrawcopytool.testfile
  projects/krb5/contrib/file/tests/test.c
_U  projects/krb5/contrib/gcc/
  projects/krb5/contrib/gcc/config/arm/unwind-arm.c
_U  projects/krb5/contrib/libarchive/
  projects/krb5/contrib/libarchive/cat/test/test_empty.zst.uu
  projects/krb5/contrib/libarchive/cat/test/test_empty_zstd.c
  projects/krb5/contrib/libarchive/cat/test/test_expand.zst.uu
  projects/krb5/contrib/libarchive/cat/test/test_expand_zstd.c
  projects/krb5/contrib/libarchive/cpio/bsdcpio.1
  projects/krb5/contrib/libarchive/cpio/cmdline.c
  projects/krb5/contrib/libarchive/cpio/cpio.c
  projects/krb5/contrib/libarchive/cpio/cpio.h
  projects/krb5/contrib/libarchive/cpio/test/test_extract.cpio.zst.uu
  projects/krb5/contrib/libarchive/cpio/test/test_extract_cpio_zstd.c
  projects/krb5/contrib/libarchive/cpio/test/test_option_zstd.c
  projects/krb5/contrib/libarchive/libarchive/archive.h
  projects/krb5/contrib/libarchive/libarchive/archive_cmdline.c
  projects/krb5/contrib/libarchive/libarchive/archive_platform.h
  projects/krb5/contrib/libarchive/libarchive/archive_read_append_filter.c
  projects/krb5/contrib/libarchive/libarchive/archive_read_disk_entry_from_file.c
  projects/krb5/contrib/libarchive/libarchive/archive_read_filter.3
  projects/krb5/contrib/libarchive/libarchive/archive_read_support_filter_all.c
  projects/krb5/contrib/libarchive/libarchive/archive_read_support_filter_zstd.c
  projects/krb5/contrib/libarchive/libarchive/archive_read_support_format_cpio.c
  projects/krb5/contrib/libarchive/libarchive/archive_read_support_format_mtree.c
  projects/krb5/contrib/libarchive/libarchive/archive_read_support_format_rar.c
  projects/krb5/contrib/libarchive/libarchive/archive_read_support_format_tar.c
  projects/krb5/contrib/libarchive/libarchive/archive_read_support_format_xar.c
  projects/krb5/contrib/libarchive/libarchive/archive_read_support_format_zip.c
  projects/krb5/contrib/libarchive/libarchive/archive_string.c
  projects/krb5/contrib/libarchive/libarchive/archive_version_details.c
  projects/krb5/contrib/libarchive/libarchive/archive_write.3
  projects/krb5/contrib/libarchive/libarchive/archive_write_add_filter.c
  projects/krb5/contrib/libarchive/libarchive/archive_write_add_filter_by_name.c
  projects/krb5/contrib/libarchive/libarchive/archive_write_add_filter_zstd.c
  projects/krb5/contrib/libarchive/libarchive/archive_write_filter.3
  projects/krb5/contrib/libarchive/libarchive/archive_write_set_format_pax.c
  projects/krb5/contrib/libarchive/libarchive/test/test_archive_write_add_filter_by_name.c
  projects/krb5/contrib/libarchive/libarchive/test/test_compat_zstd.c
  projects/krb5/contrib/libarchive/libarchive/test/test_compat_zstd_1.tar.zst.uu
  projects/krb5/contrib/libarchive/libarchive/test/test_fuzz.c
  projects/krb5/contrib/libarchive/libarchive/test/test_write_filter_zstd.c
  projects/krb5/contrib/libarchive/tar/bsdtar.1
  projects/krb5/contrib/libarchive/tar/bsdtar.c
  projects/krb5/contrib/libarchive/tar/bsdtar.h
  projects/krb5/contrib/libarchive/tar/cmdline.c
  projects/krb5/contrib/libarchive/tar/creation_set.c
  projects/krb5/contrib/libarchive/tar/test/test_extract.tar.zst.uu
  projects/krb5/contrib/libarchive/tar/test/test_extract_tar_zstd.c
  projects/krb5/contrib/libarchive/tar/test/test_option_acls.c
  projects/krb5/contrib/libarchive/tar/test/test_option_zstd.c
  projects/krb5/contrib/libarchive/test_utils/test_common.h
  projects/krb5/contrib/libarchive/test_utils/test_main.c
_U  projects/krb5/contrib/one-true-awk/
  projects/krb5/contrib/one-true-awk/awk.h
  projects/krb5/contrib/one-true-awk/lex.c
  projects/krb5/contrib/one-true-awk/lib.c
  projects/krb5/contrib/one-true-awk/run.c
_U  projects/krb5/contrib/tcpdump/
  projects/krb5/contrib/tcpdump/addrtoname.c
  projects/krb5/contrib/tcpdump/tcpdump.c
  projects/krb5/contrib/traceroute/traceroute.c
_U  projects/krb5/contrib/zlib/
  projects/krb5/contrib/zlib/deflate.c
  projects/krb5/contrib/zlib/zlib.h
  projects/krb5/etc/Makefile
  projects/krb5/etc/defaults/periodic.conf
  projects/krb5/etc/defaults/rc.conf
  projects/krb5/etc/devd/usb.conf
  projects/krb5/etc/man.alias
  projects/krb5/etc/mtree/BSD.usr.dist
  projects/krb5/etc/periodic/weekly/330.catman
  projects/krb5/etc/periodic/weekly/Makefile
  projects/krb5/etc/rc.initdiskless
  projects/krb5/etc/rc.subr
_U  projects/krb5/gnu/usr.bin/binutils/
  projects/krb5/gnu/usr.bin/binutils/libbfd/Makefile.amd64
  projects/krb5/lib/libarchive/Makefile
  projects/krb5/lib/libarchive/tests/Makefile
  projects/krb5/lib/libc/gen/tls.c
  projects/krb5/lib/libc/locale/collate.c
  projects/krb5/lib/libc/locale/setrunelocale.c
  projects/krb5/lib/libc/net/getaddrinfo.3
  projects/krb5/lib/libc/net/getaddrinfo.c
  projects/krb5/lib/libc/sys/open.2
  projects/krb5/lib/libc/sys/ptrace.2
  projects/krb5/lib/libc/sys/recv.2
  projects/krb5/lib/libc/sys/rename.2
  projects/krb5/lib/libcapsicum/capsicum_helpers.h
_U  projects/krb5/lib/libedit/
  projects/krb5/lib/libedit/Makefile
  projects/krb5/lib/libedit/chartype.c
  projects/krb5/lib/libefivar/efivar.c
  projects/krb5/lib/libmagic/config.h
  projects/krb5/lib/libnv/msgio.c
  projects/krb5/lib/libprocstat/libprocstat.c
  projects/krb5/lib/libprocstat/libprocstat.h
  projects/krb5/lib/libstand/tftp.c
  projects/krb5/lib/libsysdecode/flags.c
  projects/krb5/lib/libthr/thread/thr_private.h
  projects/krb5/lib/libthr/thread/thr_spec.c
  projects/krb5/lib/libufs/Makefile
  projects/krb5/lib/libufs/cgroup.c
  projects/krb5/lib/libufs/libufs.h
  projects/krb5/libexec/makewhatis.local/Makefile
  projects/krb5/libexec/makewhatis.local/makewhatis.local.8
  projects/krb5/libexec/makewhatis.local/makewhatis.local.sh
  projects/krb5/libexec/rtld-elf/arm/reloc.c
  projects/krb5/libexec/rtld-elf/arm/rtld_machdep.h
  projects/krb5/libexec/rtld-elf/mips/reloc.c
  projects/krb5/libexec/rtld-elf/mips/rtld_start.S
  projects/krb5/libexec/rtld-elf/rtld.c
  projects/krb5/libexec/rtld-elf/rtld.h
  projects/krb5/release/amd64/make-memstick.sh
  projects/krb5/release/arm/BANANAPI.conf
  projects/krb5/release/arm/BEAGLEBONE.conf
  projects/krb5/release/arm/CUBIEBOARD.conf
  projects/krb5/release/arm/CUBIEBOARD2.conf
  projects/krb5/release/arm/CUBOX-HUMMINGBOARD.conf
  projects/krb5/release/arm/GUMSTIX.conf
  projects/krb5/release/arm/PANDABOARD.conf
  projects/krb5/release/arm/RPI-B.conf
  projects/krb5/release/arm/RPI2.conf
  projects/krb5/release/arm64/RPI3.conf
  projects/krb5/release/arm64/make-memstick.sh
  projects/krb5/release/i386/make-memstick.sh
  projects/krb5/release/powerpc/make-memstick.sh
  projects/krb5/release/tools/vmimage.subr
  projects/krb5/sbin/dumpfs/dumpfs.c
  projects/krb5/sbin/fsck_ffs/fsutil.c
  projects/krb5/sbin/fsck_ffs/pass5.c
  projects/krb5/sbin/fsck_ffs/suj.c
  projects/krb5/sbin/fsdb/Makefile
  projects/krb5/sbin/geom/class/eli/geli.8
  projects/krb5/sbin/geom/class/part/gpart.8
  projects/krb5/sbin/init/init.c
  projects/krb5/sbin/ipfw/ipfw.8
  projects/krb5/sbin/ipfw/ipfw2.h
  projects/krb5/sbin/mdmfs/mdmfs.8
  projects/krb5/sbin/mdmfs/mdmfs.c
  projects/krb5/sbin/newfs/mkfs.c
  projects/krb5/sbin/ping/Makefile
  projects/krb5/sbin/ping/ping.c
  projects/krb5/sbin/sysctl/sysctl.8
  projects/krb5/share/man/man4/Makefile
  projects/krb5/share/man/man4/aesni.4
  projects/krb5/share/man/man4/altq.4
  projects/krb5/share/man/man4/crypto.4
  projects/krb5/share/man/man4/liquidio.4
  projects/krb5/share/man/man4/mpr.4
  projects/krb5/share/man/man4/mps.4
  projects/krb5/share/man/man4/siba.4
  projects/krb5/share/man/man4/vlan.4
  projects/krb5/share/man/man5/periodic.conf.5
  projects/krb5/share/man/man5/procfs.5
  projects/krb5/share/man/man5/rc.conf.5
  projects/krb5/share/man/man5/src.conf.5
  projects/krb5/share/man/man5/tmpfs.5
  projects/krb5/share/man/man9/Makefile
  projects/krb5/share/man/man9/nv.9
  projects/krb5/share/man/man9/ucred.9
  projects/krb5/share/misc/bsd-family-tree
  projects/krb5/share/misc/committers-ports.dot
  projects/krb5/share/misc/committers-src.dot
  projects/krb5/share/mk/bsd.dep.mk
  projects/krb5/share/mk/bsd.init.mk
  projects/krb5/share/mk/bsd.lib.mk
  projects/krb5/share/mk/bsd.prog.mk
  projects/krb5/share/mk/bsd.sys.mk
  projects/krb5/share/mk/src.libnames.mk
  projects/krb5/share/mk/src.opts.mk
  projects/krb5/sys/amd64/amd64/efirt.c
  projects/krb5/sys/amd64/amd64/efirt_machdep.c
  projects/krb5/sys/amd64/amd64/sys_machdep.c
  projects/krb5/sys/amd64/conf/GENERIC-MMCCAM
  projects/krb5/sys/amd64/conf/MMCCAM
  projects/krb5/sys/amd64/include/efi.h
  projects/krb5/sys/arm/allwinner/a10_ahci.c
  projects/krb5/sys/arm/allwinner/a10_ehci.c
  projects/krb5/sys/arm/allwinner/a10_gpio.c
  projects/krb5/sys/arm/allwinner/a10_gpio.h
  projects/krb5/sys/arm/allwinner/aw_usbphy.c
  projects/krb5/sys/arm/allwinner/clkng/ccu_a31.c
  projects/krb5/sys/arm/allwinner/clkng/ccu_a31.h
  projects/krb5/sys/arm/allwinner/clkng/ccu_a64.c
  projects/krb5/sys/arm/allwinner/clkng/ccu_a64.h
  projects/krb5/sys/arm/allwinner/clkng/ccu_h3.c
  projects/krb5/sys/arm/allwinner/clkng/ccu_h3.h
  projects/krb5/sys/arm/allwinner/if_awg.c
  projects/krb5/sys/arm/allwinner/if_awgreg.h
  projects/krb5/sys/arm/arm/elf_machdep.c
  projects/krb5/sys/arm/arm/machdep.c
  projects/krb5/sys/arm/arm/ptrace_machdep.c
  projects/krb5/sys/arm/arm/vfp.c
  projects/krb5/sys/arm/at91/at91_twi.c
  projects/krb5/sys/arm/broadcom/bcm2835/bcm2835_bsc.c
  projects/krb5/sys/arm/broadcom/bcm2835/bcm2835_bscreg.h
  projects/krb5/sys/arm/broadcom/bcm2835/bcm2835_bscvar.h
  projects/krb5/sys/arm/broadcom/bcm2835/bcm2835_machdep.c
  projects/krb5/sys/arm/broadcom/bcm2835/bcm2835_rng.c
  projects/krb5/sys/arm/broadcom/bcm2835/bcm2835_sdhci.c
  projects/krb5/sys/arm/conf/BEAGLEBONE-MMCCAM
  projects/krb5/sys/arm/conf/GENERIC
  projects/krb5/sys/arm/conf/IMX6-MMCCAM
  projects/krb5/sys/arm/conf/VIRT
  projects/krb5/sys/arm/freescale/imx/files.imx6
  projects/krb5/sys/arm/freescale/imx/imx6_ahci.c
  projects/krb5/sys/arm/freescale/imx/imx_gpio.c
  projects/krb5/sys/arm/freescale/imx/imx_i2c.c
  projects/krb5/sys/arm/include/elf.h
  projects/krb5/sys/arm/include/md_var.h
  projects/krb5/sys/arm/include/pmap-v4.h
  projects/krb5/sys/arm/include/ptrace.h
  projects/krb5/sys/arm/include/vfp.h
  projects/krb5/sys/arm/nvidia/tegra_ahci.c
  projects/krb5/sys/arm/ti/ti_cpuid.c
  projects/krb5/sys/arm/ti/ti_cpuid.h
  projects/krb5/sys/arm/ti/ti_i2c.c
  projects/krb5/sys/arm/ti/ti_pruss.c
  projects/krb5/sys/arm/ti/ti_pruss.h
  projects/krb5/sys/arm/ti/ti_scm.c
  projects/krb5/sys/arm/ti/ti_sdhci.c
  projects/krb5/sys/arm/xscale/i8134x/std.i81342
  projects/krb5/sys/arm64/arm64/identcpu.c
  projects/krb5/sys/arm64/arm64/machdep.c
  projects/krb5/sys/arm64/arm64/mp_machdep.c
  projects/krb5/sys/arm64/arm64/trap.c
  projects/krb5/sys/arm64/arm64/undefined.c
  projects/krb5/sys/arm64/conf/GENERIC
  projects/krb5/sys/arm64/conf/GENERIC-MMCCAM
  projects/krb5/sys/arm64/include/armreg.h
  projects/krb5/sys/arm64/include/elf.h
  projects/krb5/sys/arm64/include/undefined.h
  projects/krb5/sys/boot/Makefile.inc
  projects/krb5/sys/boot/common/loader.8
  projects/krb5/sys/boot/efi/boot1/Makefile
  projects/krb5/sys/boot/efi/boot1/Makefile.fat
  projects/krb5/sys/boot/efi/boot1/fat-amd64.tmpl.bz2.uu
  projects/krb5/sys/boot/efi/boot1/fat-amd64.tmpl.xz
  projects/krb5/sys/boot/efi/boot1/fat-arm.tmpl.bz2.uu
  projects/krb5/sys/boot/efi/boot1/fat-arm.tmpl.xz
  projects/krb5/sys/boot/efi/boot1/fat-arm64.tmpl.bz2.uu
  projects/krb5/sys/boot/efi/boot1/fat-arm64.tmpl.xz
  projects/krb5/sys/boot/efi/boot1/fat-i386.tmpl.bz2.uu
  projects/krb5/sys/boot/efi/boot1/fat-i386.tmpl.xz
  projects/krb5/sys/boot/efi/boot1/generate-fat.sh
  projects/krb5/sys/boot/efi/include/efilib.h
  projects/krb5/sys/boot/efi/include/efizfs.h
  projects/krb5/sys/boot/efi/libefi/devicename.c
  projects/krb5/sys/boot/efi/libefi/devpath.c
  projects/krb5/sys/boot/efi/libefi/efipart.c
  projects/krb5/sys/boot/efi/libefi/efizfs.c
  projects/krb5/sys/boot/efi/loader/main.c
  projects/krb5/sys/boot/fdt/dts/arm/rpi2.dts
  projects/krb5/sys/boot/i386/libi386/Makefile
  projects/krb5/sys/boot/i386/libi386/biosmem.c
  projects/krb5/sys/boot/zfs/zfsimpl.c
  projects/krb5/sys/cam/cam_iosched.c
  projects/krb5/sys/cam/ctl/ctl.c
  projects/krb5/sys/cam/ctl/ctl_backend_block.c
  projects/krb5/sys/cam/ctl/ctl_backend_ramdisk.c
  projects/krb5/sys/cam/ctl/ctl_io.h
  projects/krb5/sys/cam/mmc/mmc.h
  projects/krb5/sys/cam/mmc/mmc_da.c
  projects/krb5/sys/cam/mmc/mmc_sdio.c
  projects/krb5/sys/cam/mmc/mmc_sdio.h
  projects/krb5/sys/cam/mmc/mmc_xpt.c
  projects/krb5/sys/cam/nvme/nvme_da.c
  projects/krb5/sys/cam/scsi/scsi_all.c
  projects/krb5/sys/cddl/boot/zfs/zfsimpl.h
  projects/krb5/sys/cddl/compat/opensolaris/kern/opensolaris_sunddi.c
  projects/krb5/sys/cddl/compat/opensolaris/kern/opensolaris_vfs.c
  projects/krb5/sys/cddl/compat/opensolaris/sys/kcondvar.h
  projects/krb5/sys/cddl/compat/opensolaris/sys/sunddi.h
  projects/krb5/sys/cddl/compat/opensolaris/sys/time.h
_U  projects/krb5/sys/cddl/contrib/opensolaris/
  projects/krb5/sys/cddl/contrib/opensolaris/common/zfs/zfs_prop.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/Makefile.files
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/dtrace/dtrace.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/dtrace/fasttrap.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/abd.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/bpobj.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/dmu.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/dmu_tx.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/dsl_dataset.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/dsl_destroy.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/dsl_dir.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/dsl_pool.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/dsl_scan.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/lua/
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/spa.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/spa_misc.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/sys/abd.h
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/sys/dmu.h
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/sys/dsl_dataset.h
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/sys/dsl_destroy.h
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/sys/dsl_dir.h
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/sys/dsl_pool.h
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/sys/dsl_scan.h
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/sys/spa.h
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/sys/spa_impl.h
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/sys/zcp.h
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/sys/zcp_global.h
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/sys/zcp_iter.h
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/sys/zcp_prop.h
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/sys/zfs_ioctl.h
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/sys/zfs_vfsops.h
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/sys/zfs_znode.h
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/sys/zil.h
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/sys/zil_impl.h
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/sys/zio.h
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/txg.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/vdev_geom.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/vdev_mirror.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zcp.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zcp_get.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zcp_global.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zcp_iter.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zcp_synctask.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_acl.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_ctldir.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_ioctl.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_vfsops.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_vnops.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_znode.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zil.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zio.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zvol.c
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/sys/debug.h
  projects/krb5/sys/cddl/contrib/opensolaris/uts/common/sys/fs/zfs.h
  projects/krb5/sys/cddl/dev/dtmalloc/dtmalloc.c
  projects/krb5/sys/cddl/dev/fbt/fbt.c
  projects/krb5/sys/cddl/dev/profile/profile.c
  projects/krb5/sys/cddl/dev/prototype.c
  projects/krb5/sys/cddl/dev/sdt/sdt.c
  projects/krb5/sys/cddl/dev/systrace/systrace.c
  projects/krb5/sys/compat/linsysfs/linsysfs.c
  projects/krb5/sys/compat/linux/linux_stats.c
  projects/krb5/sys/compat/linux/linux_util.c
  projects/krb5/sys/compat/linuxkpi/common/include/asm/atomic-long.h
  projects/krb5/sys/compat/linuxkpi/common/include/asm/atomic.h
  projects/krb5/sys/compat/linuxkpi/common/include/asm/atomic64.h
  projects/krb5/sys/compat/linuxkpi/common/include/linux/bitops.h
  projects/krb5/sys/compat/linuxkpi/common/include/linux/file.h
  projects/krb5/sys/compat/linuxkpi/common/include/linux/fs.h
  projects/krb5/sys/compat/linuxkpi/common/include/linux/inetdevice.h
  projects/krb5/sys/compat/linuxkpi/common/include/linux/mm.h
  projects/krb5/sys/compat/linuxkpi/common/include/linux/poll.h
  projects/krb5/sys/compat/linuxkpi/common/src/linux_compat.c
  projects/krb5/sys/compat/linuxkpi/common/src/linux_page.c
  projects/krb5/sys/compat/linuxkpi/common/src/linux_tasklet.c
  projects/krb5/sys/conf/NOTES
  projects/krb5/sys/conf/files
  projects/krb5/sys/conf/files.amd64
  projects/krb5/sys/conf/files.arm
  projects/krb5/sys/conf/files.arm64
  projects/krb5/sys/conf/files.i386
  projects/krb5/sys/conf/kern.mk
  projects/krb5/sys/conf/kern.pre.mk
  projects/krb5/sys/conf/newvers.sh
_U  projects/krb5/sys/contrib/dev/acpica/
  projects/krb5/sys/contrib/dev/liquidio/
_U  projects/krb5/sys/contrib/ipfilter/
  projects/krb5/sys/contrib/ipfilter/netinet/ip_nat.c
  projects/krb5/sys/contrib/ipfilter/netinet/ip_state.c
  projects/krb5/sys/contrib/libnv/nvlist.c
  projects/krb5/sys/contrib/libnv/nvpair.c
_U  projects/krb5/sys/contrib/octeon-sdk/
  projects/krb5/sys/contrib/octeon-sdk/cvmx-l2c.c
  projects/krb5/sys/contrib/vchiq/interface/vchiq_arm/vchiq_2835_arm.c
  projects/krb5/sys/crypto/aesni/aesni.c
  projects/krb5/sys/crypto/aesni/aesni.h
  projects/krb5/sys/crypto/aesni/intel_sha1.c
  projects/krb5/sys/crypto/aesni/intel_sha256.c
  projects/krb5/sys/crypto/aesni/sha_sse.h
  projects/krb5/sys/crypto/via/padlock_hash.c
  projects/krb5/sys/dev/ahci/ahci.c
  projects/krb5/sys/dev/ahci/ahci.h
  projects/krb5/sys/dev/ahci/ahci_generic.c
  projects/krb5/sys/dev/ahci/ahci_mv_fdt.c
  projects/krb5/sys/dev/ahci/ahci_pci.c
  projects/krb5/sys/dev/amdsmn/amdsmn.c
  projects/krb5/sys/dev/amdtemp/amdtemp.c
  projects/krb5/sys/dev/bhnd/bcma/bcma.c
  projects/krb5/sys/dev/bhnd/bcma/bcma_erom.c
  projects/krb5/sys/dev/bhnd/bhnd.c
  projects/krb5/sys/dev/bhnd/bhnd.h
  projects/krb5/sys/dev/bhnd/bhnd_bus_if.m
  projects/krb5/sys/dev/bhnd/bhnd_erom.c
  projects/krb5/sys/dev/bhnd/bhnd_erom.h
  projects/krb5/sys/dev/bhnd/bhnd_erom_if.m
  projects/krb5/sys/dev/bhnd/bhnd_eromvar.h
  projects/krb5/sys/dev/bhnd/bhnd_private.h
  projects/krb5/sys/dev/bhnd/bhnd_subr.c
  projects/krb5/sys/dev/bhnd/bhnd_types.h
  projects/krb5/sys/dev/bhnd/bhndb/bhnd_bhndb.c
  projects/krb5/sys/dev/bhnd/bhndb/bhndb.c
  projects/krb5/sys/dev/bhnd/bhndb/bhndb_pci.c
  projects/krb5/sys/dev/bhnd/bhndb/bhndb_pcivar.h
  projects/krb5/sys/dev/bhnd/bhndb/bhndb_private.h
  projects/krb5/sys/dev/bhnd/bhndb/bhndb_subr.c
  projects/krb5/sys/dev/bhnd/bhndb/bhndbvar.h
  projects/krb5/sys/dev/bhnd/bhndreg.h
  projects/krb5/sys/dev/bhnd/bhndvar.h
  projects/krb5/sys/dev/bhnd/cores/chipc/chipc.c
  projects/krb5/sys/dev/bhnd/cores/chipc/pwrctl/bhnd_pwrctl.c
  projects/krb5/sys/dev/bhnd/cores/pci/bhnd_pci_hostb.c
  projects/krb5/sys/dev/bhnd/cores/pmu/bhnd_pmu.c
  projects/krb5/sys/dev/bhnd/nvram/bhnd_sprom.c
  projects/krb5/sys/dev/bhnd/siba/siba.c
  projects/krb5/sys/dev/bhnd/siba/siba_bhndb.c
  projects/krb5/sys/dev/bhnd/siba/siba_erom.c
  projects/krb5/sys/dev/bnxt/bnxt.h
  projects/krb5/sys/dev/bnxt/bnxt_hwrm.c
  projects/krb5/sys/dev/bnxt/bnxt_hwrm.h
  projects/krb5/sys/dev/bnxt/bnxt_sysctl.c
  projects/krb5/sys/dev/bnxt/bnxt_sysctl.h
  projects/krb5/sys/dev/bnxt/if_bnxt.c
  projects/krb5/sys/dev/cxgb/ulp/
  projects/krb5/sys/dev/cxgbe/crypto/t4_crypto.c
  projects/krb5/sys/dev/cxgbe/firmware/t6fw_cfg.txt
  projects/krb5/sys/dev/cxgbe/t4_main.c
  projects/krb5/sys/dev/cxgbe/t4_sge.c
  projects/krb5/sys/dev/cxgbe/tom/t4_ddp.c
  projects/krb5/sys/dev/cxgbe/tom/t4_tom.h
  projects/krb5/sys/dev/drm/drmP.h
  projects/krb5/sys/dev/drm2/i915/i915_drv.c
  projects/krb5/sys/dev/drm2/i915/i915_gem.c
  projects/krb5/sys/dev/drm2/i915/i915_gem_gtt.c
  projects/krb5/sys/dev/drm2/radeon/radeon_drv.c
  projects/krb5/sys/dev/e1000/if_em.c
  projects/krb5/sys/dev/efidev/efirt.c
  projects/krb5/sys/dev/glxiic/glxiic.c
  projects/krb5/sys/dev/gpio/gpio_if.m
  projects/krb5/sys/dev/gpio/gpioc.c
  projects/krb5/sys/dev/hyperv/netvsc/hn_nvs.c
  projects/krb5/sys/dev/hyperv/netvsc/hn_rndis.c
  projects/krb5/sys/dev/hyperv/netvsc/hn_rndis.h
  projects/krb5/sys/dev/hyperv/netvsc/if_hn.c
  projects/krb5/sys/dev/hyperv/netvsc/if_hnvar.h
  projects/krb5/sys/dev/hyperv/netvsc/ndis.h
  projects/krb5/sys/dev/ichwd/ichwd.h
  projects/krb5/sys/dev/iicbus/icee.c
  projects/krb5/sys/dev/iicbus/iicbus_if.m
  projects/krb5/sys/dev/intpm/intpm.c
  projects/krb5/sys/dev/ioat/ioat.c
  projects/krb5/sys/dev/ixl/ixl_txrx.c
  projects/krb5/sys/dev/jedec_ts/jedec_ts.c
  projects/krb5/sys/dev/liquidio/
  projects/krb5/sys/dev/md/md.c
  projects/krb5/sys/dev/mlx4/mlx4_en/en.h
  projects/krb5/sys/dev/mlx4/mlx4_en/mlx4_en_netdev.c
  projects/krb5/sys/dev/mlx4/mlx4_en/mlx4_en_rx.c
  projects/krb5/sys/dev/mlx5/mlx5_en/en.h
  projects/krb5/sys/dev/mlx5/mlx5_en/mlx5_en_main.c
  projects/krb5/sys/dev/mlx5/mlx5_en/mlx5_en_rx.c
  projects/krb5/sys/dev/mlx5/mlx5_en/mlx5_en_tx.c
  projects/krb5/sys/dev/mmc/host/dwmmc.c
  projects/krb5/sys/dev/mpr/mpr.c
  projects/krb5/sys/dev/mpr/mpr_pci.c
  projects/krb5/sys/dev/mpr/mpr_sas.c
  projects/krb5/sys/dev/mpr/mpr_sas.h
  projects/krb5/sys/dev/mpr/mpr_sas_lsi.c
  projects/krb5/sys/dev/mpr/mpr_table.c
  projects/krb5/sys/dev/mpr/mpr_table.h
  projects/krb5/sys/dev/mpr/mprvar.h
  projects/krb5/sys/dev/mps/mps.c
  projects/krb5/sys/dev/mps/mps_pci.c
  projects/krb5/sys/dev/mps/mps_sas.c
  projects/krb5/sys/dev/mps/mps_sas.h
  projects/krb5/sys/dev/mps/mps_sas_lsi.c
  projects/krb5/sys/dev/mps/mps_table.c
  projects/krb5/sys/dev/mps/mps_table.h
  projects/krb5/sys/dev/mps/mpsvar.h
  projects/krb5/sys/dev/neta/if_mvneta.c
  projects/krb5/sys/dev/neta/if_mvneta_fdt.c
  projects/krb5/sys/dev/neta/if_mvnetavar.h
  projects/krb5/sys/dev/ntb/ntb_hw/ntb_hw_intel.c
  projects/krb5/sys/dev/ntb/ntb_hw/ntb_hw_plx.c
  projects/krb5/sys/dev/nvme/nvme_ctrlr.c
  projects/krb5/sys/dev/nvme/nvme_sim.c
  projects/krb5/sys/dev/pccard/pccardvar.h
  projects/krb5/sys/dev/ppc/ppc.c
  projects/krb5/sys/dev/qlxgbe/ql_def.h
  projects/krb5/sys/dev/qlxgbe/ql_glbl.h
  projects/krb5/sys/dev/qlxgbe/ql_hw.c
  projects/krb5/sys/dev/qlxgbe/ql_minidump.c
  projects/krb5/sys/dev/qlxgbe/ql_os.c
  projects/krb5/sys/dev/sdhci/fsl_sdhci.c
  projects/krb5/sys/dev/sdhci/sdhci.c
  projects/krb5/sys/dev/sdhci/sdhci.h
  projects/krb5/sys/dev/sdhci/sdhci_pci.c
  projects/krb5/sys/dev/smbus/smb.c
  projects/krb5/sys/dev/smbus/smbconf.h
  projects/krb5/sys/dev/smc/if_smc.c
  projects/krb5/sys/dev/ti/if_ti.c
  projects/krb5/sys/dev/uart/uart_dev_mvebu.c
  projects/krb5/sys/dev/usb/controller/ehci_mv.c
  projects/krb5/sys/dev/usb/controller/xhci_mv.c
  projects/krb5/sys/dev/usb/net/if_smsc.c
  projects/krb5/sys/dev/usb/net/if_ure.c
  projects/krb5/sys/dev/usb/usb_hub.c
  projects/krb5/sys/dev/usb/usbdevs
  projects/krb5/sys/dev/usb/wlan/if_uath.c
  projects/krb5/sys/fs/cd9660/cd9660_vnops.c
  projects/krb5/sys/fs/devfs/devfs_vnops.c
  projects/krb5/sys/fs/ext2fs/ext2_alloc.c
  projects/krb5/sys/fs/ext2fs/ext2_extern.h
  projects/krb5/sys/fs/ext2fs/ext2_inode.c
  projects/krb5/sys/fs/ext2fs/ext2_inode_cnv.c
  projects/krb5/sys/fs/nfs/nfs.h
  projects/krb5/sys/fs/nfs/nfs_commonsubs.c
  projects/krb5/sys/fs/nfs/nfs_var.h
  projects/krb5/sys/fs/nfs/nfscl.h
  projects/krb5/sys/fs/nfs/nfsclstate.h
  projects/krb5/sys/fs/nfs/nfsport.h
  projects/krb5/sys/fs/nfsclient/nfs_clcomsubs.c
  projects/krb5/sys/fs/nfsclient/nfs_clkdtrace.c
  projects/krb5/sys/fs/nfsclient/nfs_clrpcops.c
  projects/krb5/sys/fs/nfsclient/nfs_clstate.c
  projects/krb5/sys/fs/nfsserver/nfs_nfsdserv.c
  projects/krb5/sys/fs/tmpfs/tmpfs_fifoops.c
  projects/krb5/sys/fs/tmpfs/tmpfs_subr.c
  projects/krb5/sys/fs/tmpfs/tmpfs_vnops.c
  projects/krb5/sys/fs/tmpfs/tmpfs_vnops.h
  projects/krb5/sys/fs/udf/udf_vnops.c
  projects/krb5/sys/geom/eli/g_eli_integrity.c
  projects/krb5/sys/geom/geom_subr.c
  projects/krb5/sys/geom/mirror/g_mirror.c
  projects/krb5/sys/geom/mirror/g_mirror.h
  projects/krb5/sys/i386/conf/GENERIC
  projects/krb5/sys/i386/i386/apic_vector.s
  projects/krb5/sys/i386/i386/exception.s
  projects/krb5/sys/i386/i386/genassym.c
  projects/krb5/sys/i386/i386/sys_machdep.c
  projects/krb5/sys/i386/include/asmacros.h
  projects/krb5/sys/kern/imgact_elf.c
  projects/krb5/sys/kern/kern_fork.c
  projects/krb5/sys/kern/kern_mutex.c
  projects/krb5/sys/kern/kern_sendfile.c
  projects/krb5/sys/kern/kern_sysctl.c
  projects/krb5/sys/kern/subr_blist.c
  projects/krb5/sys/kern/subr_gtaskqueue.c
  projects/krb5/sys/kern/subr_witness.c
  projects/krb5/sys/kern/sys_process.c
  projects/krb5/sys/kern/uipc_shm.c
  projects/krb5/sys/kern/uipc_socket.c
  projects/krb5/sys/kern/uipc_usrreq.c
  projects/krb5/sys/kern/vfs_bio.c
  projects/krb5/sys/kern/vfs_cache.c
  projects/krb5/sys/kern/vfs_default.c
  projects/krb5/sys/kern/vfs_export.c
  projects/krb5/sys/kern/vfs_mount.c
  projects/krb5/sys/kern/vfs_subr.c
  projects/krb5/sys/libkern/crc32.c
  projects/krb5/sys/mips/broadcom/bcm_machdep.c
  projects/krb5/sys/mips/broadcom/bcm_machdep.h
  projects/krb5/sys/mips/broadcom/bcm_nvram_cfe.c
  projects/krb5/sys/mips/broadcom/bhnd_nexus.c
  projects/krb5/sys/mips/include/cpufunc.h
  projects/krb5/sys/mips/include/cpuregs.h
  projects/krb5/sys/mips/include/elf.h
  projects/krb5/sys/mips/rmi/rootfs_list.txt
  projects/krb5/sys/modules/Makefile
  projects/krb5/sys/modules/aesni/Makefile
  projects/krb5/sys/modules/bhnd/bhndb_pci/Makefile
  projects/krb5/sys/modules/cxgb/Makefile
  projects/krb5/sys/modules/cxgb/iw_cxgb/
  projects/krb5/sys/modules/cxgb/tom/
  projects/krb5/sys/modules/efirt/Makefile
  projects/krb5/sys/modules/i2c/Makefile
  projects/krb5/sys/modules/i2c/ds1307/Makefile
  projects/krb5/sys/modules/i2c/ds13rtc/Makefile
  projects/krb5/sys/modules/i2c/ds3231/Makefile
  projects/krb5/sys/modules/i2c/icee/
  projects/krb5/sys/modules/i2c/isl12xx/Makefile
  projects/krb5/sys/modules/i2c/nxprtc/Makefile
  projects/krb5/sys/modules/i2c/s35390a/Makefile
  projects/krb5/sys/modules/lio/
  projects/krb5/sys/modules/uart/Makefile
  projects/krb5/sys/modules/zfs/Makefile
  projects/krb5/sys/net/bpf_zerocopy.c
  projects/krb5/sys/net/if_bridge.c
  projects/krb5/sys/net/if_vlan.c
  projects/krb5/sys/net/iflib.c
  projects/krb5/sys/net/iflib.h
  projects/krb5/sys/net/mp_ring.c
  projects/krb5/sys/netgraph/ng_iface.c
  projects/krb5/sys/netinet/ip_icmp.c
  projects/krb5/sys/netinet/sctp.h
  projects/krb5/sys/netinet/sctp_asconf.c
  projects/krb5/sys/netinet/sctp_asconf.h
  projects/krb5/sys/netinet/sctp_constants.h
  projects/krb5/sys/netinet/sctp_indata.c
  projects/krb5/sys/netinet/sctp_input.c
  projects/krb5/sys/netinet/sctp_os_bsd.h
  projects/krb5/sys/netinet/sctp_output.c
  projects/krb5/sys/netinet/sctp_output.h
  projects/krb5/sys/netinet/sctp_pcb.c
  projects/krb5/sys/netinet/sctp_pcb.h
  projects/krb5/sys/netinet/sctp_sysctl.c
  projects/krb5/sys/netinet/sctp_uio.h
  projects/krb5/sys/netinet/sctp_usrreq.c
  projects/krb5/sys/netinet/sctputil.c
  projects/krb5/sys/netinet/tcp_syncache.c
  projects/krb5/sys/netinet/tcp_timewait.c
  projects/krb5/sys/netinet/tcp_var.h
  projects/krb5/sys/netinet6/sctp6_usrreq.c
  projects/krb5/sys/netinet6/send.c
  projects/krb5/sys/netipsec/xform_ah.c
  projects/krb5/sys/netpfil/ipfw/ip_fw2.c
  projects/krb5/sys/netpfil/ipfw/ip_fw_dynamic.c
  projects/krb5/sys/netpfil/ipfw/ip_fw_table.c
  projects/krb5/sys/netpfil/ipfw/nat64/nat64lsn_control.c
  projects/krb5/sys/netpfil/ipfw/nat64/nat64stl_control.c
  projects/krb5/sys/netpfil/ipfw/nptv6/nptv6.c
  projects/krb5/sys/netsmb/smb_subr.c
  projects/krb5/sys/ofed/drivers/infiniband/core/ucm.c
  projects/krb5/sys/ofed/drivers/infiniband/core/ucma.c
  projects/krb5/sys/ofed/drivers/infiniband/core/user_mad.c
  projects/krb5/sys/ofed/drivers/infiniband/core/uverbs_main.c
  projects/krb5/sys/opencrypto/crypto.c
  projects/krb5/sys/opencrypto/cryptodev.c
  projects/krb5/sys/opencrypto/cryptodev.h
  projects/krb5/sys/opencrypto/xform_md5.c
  projects/krb5/sys/opencrypto/xform_null.c
  projects/krb5/sys/opencrypto/xform_rmd160.c
  projects/krb5/sys/opencrypto/xform_sha1.c
  projects/krb5/sys/opencrypto/xform_sha2.c
  projects/krb5/sys/powerpc/aim/mmu_oea.c
  projects/krb5/sys/powerpc/aim/mmu_oea64.c
  projects/krb5/sys/powerpc/conf/GENERIC
  projects/krb5/sys/powerpc/include/elf.h
  projects/krb5/sys/powerpc/include/intr_machdep.h
  projects/krb5/sys/powerpc/include/spr.h
  projects/krb5/sys/powerpc/mpc85xx/mpc85xx.c
  projects/krb5/sys/powerpc/powerpc/cpu.c
  projects/krb5/sys/powerpc/powerpc/machdep.c
  projects/krb5/sys/powerpc/powerpc/stack_machdep.c
  projects/krb5/sys/riscv/conf/GENERIC
  projects/krb5/sys/riscv/include/elf.h
  projects/krb5/sys/riscv/riscv/machdep.c
  projects/krb5/sys/riscv/riscv/pmap.c
  projects/krb5/sys/sparc64/conf/GENERIC
  projects/krb5/sys/sparc64/include/elf.h
  projects/krb5/sys/sys/_task.h
  projects/krb5/sys/sys/blist.h
  projects/krb5/sys/sys/buf.h
  projects/krb5/sys/sys/efi.h
  projects/krb5/sys/sys/elf_common.h
  projects/krb5/sys/sys/gpio.h
  projects/krb5/sys/sys/mbuf.h
  projects/krb5/sys/sys/module.h
  projects/krb5/sys/sys/mutex.h
  projects/krb5/sys/sys/param.h
  projects/krb5/sys/sys/sockbuf.h
  projects/krb5/sys/sys/socketvar.h
  projects/krb5/sys/sys/sockstate.h
  projects/krb5/sys/sys/sysent.h
  projects/krb5/sys/sys/unpcb.h
  projects/krb5/sys/sys/vmmeter.h
  projects/krb5/sys/ufs/ffs/ffs_alloc.c
  projects/krb5/sys/ufs/ffs/ffs_inode.c
  projects/krb5/sys/ufs/ffs/ffs_snapshot.c
  projects/krb5/sys/ufs/ffs/ffs_softdep.c
  projects/krb5/sys/ufs/ffs/ffs_vfsops.c
  projects/krb5/sys/ufs/ffs/ffs_vnops.c
  projects/krb5/sys/ufs/ffs/fs.h
  projects/krb5/sys/ufs/ufs/dinode.h
  projects/krb5/sys/ufs/ufs/ufs_vnops.c
  projects/krb5/sys/vm/swap_pager.c
  projects/krb5/sys/vm/uma.h
  projects/krb5/sys/vm/uma_core.c
  projects/krb5/sys/vm/uma_int.h
  projects/krb5/sys/vm/vm_meter.c
  projects/krb5/sys/vm/vm_object.c
  projects/krb5/sys/vm/vm_object.h
  projects/krb5/sys/vm/vm_page.c
  projects/krb5/sys/vm/vm_page.h
  projects/krb5/sys/x86/include/elf.h
  projects/krb5/sys/x86/include/specialreg.h
  projects/krb5/sys/x86/include/x86_var.h
  projects/krb5/sys/x86/x86/identcpu.c
  projects/krb5/sys/x86/x86/io_apic.c
  projects/krb5/sys/x86/x86/local_apic.c
  projects/krb5/sys/x86/x86/mca.c
  projects/krb5/targets/pseudo/userland/Makefile.depend
  projects/krb5/tests/sys/opencrypto/cryptodev.py
  projects/krb5/tests/sys/opencrypto/cryptotest.py
  projects/krb5/tools/build/mk/OptionalObsoleteFiles.inc
  projects/krb5/tools/build/options/WITHOUT_MAN_UTILS
  projects/krb5/tools/tools/nanobsd/defaults.sh
  projects/krb5/tools/tools/nanobsd/embedded/common
  projects/krb5/tools/tools/nanobsd/legacy.sh
  projects/krb5/usr.bin/Makefile
  projects/krb5/usr.bin/awk/awk.1
  projects/krb5/usr.bin/bluetooth/btsockstat/btsockstat.c
  projects/krb5/usr.bin/bsdcat/tests/Makefile
  projects/krb5/usr.bin/calendar/calendars/calendar.freebsd
  projects/krb5/usr.bin/calendar/events.c
  projects/krb5/usr.bin/catman/
  projects/krb5/usr.bin/cpio/tests/Makefile
  projects/krb5/usr.bin/gcore/elfcore.c
  projects/krb5/usr.bin/getconf/confstr.gperf
  projects/krb5/usr.bin/getconf/getconf.1
  projects/krb5/usr.bin/getconf/getconf.c
  projects/krb5/usr.bin/getconf/getconf.h
  projects/krb5/usr.bin/getconf/pathconf.gperf
  projects/krb5/usr.bin/getconf/sysconf.gperf
  projects/krb5/usr.bin/grep/regex/fastmatch.h
  projects/krb5/usr.bin/kdump/Makefile
  projects/krb5/usr.bin/kdump/kdump.c
  projects/krb5/usr.bin/ktrdump/ktrdump.c
  projects/krb5/usr.bin/lock/lock.c
  projects/krb5/usr.bin/man/man.sh
  projects/krb5/usr.bin/netstat/inet.c
  projects/krb5/usr.bin/netstat/netgraph.c
  projects/krb5/usr.bin/netstat/netstat.1
  projects/krb5/usr.bin/netstat/unix.c
  projects/krb5/usr.bin/procstat/procstat.1
  projects/krb5/usr.bin/procstat/procstat_files.c
  projects/krb5/usr.bin/rsh/rsh.1
  projects/krb5/usr.bin/rsh/rsh.c
  projects/krb5/usr.bin/sdiotool/Makefile
  projects/krb5/usr.bin/sdiotool/brcmfmac_bus.h
  projects/krb5/usr.bin/sdiotool/brcmfmac_sdio.h
  projects/krb5/usr.bin/sdiotool/cam_sdio.c
  projects/krb5/usr.bin/sdiotool/cam_sdio.h
  projects/krb5/usr.bin/sdiotool/linux_compat.h
  projects/krb5/usr.bin/sdiotool/linux_sdio_compat.c
  projects/krb5/usr.bin/sdiotool/linux_sdio_compat.h
  projects/krb5/usr.bin/sdiotool/sdiotool.c
  projects/krb5/usr.bin/sockstat/sockstat.1
  projects/krb5/usr.bin/sockstat/sockstat.c
  projects/krb5/usr.bin/su/su.1
  projects/krb5/usr.bin/svn/lib/libsvn_client/Makefile
  projects/krb5/usr.bin/systat/netstat.c
  projects/krb5/usr.bin/tail/tests/tail_test.sh
  projects/krb5/usr.bin/tar/tests/Makefile
  projects/krb5/usr.sbin/Makefile
  projects/krb5/usr.sbin/acpi/acpidump/acpi.c
  projects/krb5/usr.sbin/acpi/acpidump/acpidump.8
  projects/krb5/usr.sbin/bsdinstall/partedit/gpart_ops.c
  projects/krb5/usr.sbin/bsdinstall/scripts/config
  projects/krb5/usr.sbin/bsdinstall/scripts/hardening
  projects/krb5/usr.sbin/config/config.h
  projects/krb5/usr.sbin/cpucontrol/cpucontrol.8
  projects/krb5/usr.sbin/cpucontrol/cpucontrol.c
  projects/krb5/usr.sbin/crunch/examples/really-big.conf
  projects/krb5/usr.sbin/cxgbetool/cxgbetool.c
  projects/krb5/usr.sbin/diskinfo/diskinfo.8
  projects/krb5/usr.sbin/diskinfo/diskinfo.c
  projects/krb5/usr.sbin/i2c/i2c.c
  projects/krb5/usr.sbin/iovctl/iovctl.c
  projects/krb5/usr.sbin/manctl/manctl.8
  projects/krb5/usr.sbin/manctl/manctl.sh
  projects/krb5/usr.sbin/mountd/mountd.c
  projects/krb5/usr.sbin/ppp/auth.c
  projects/krb5/usr.sbin/procctl/
  projects/krb5/usr.sbin/tcpdrop/tcpdrop.8
  projects/krb5/usr.sbin/tcpdrop/tcpdrop.c
  projects/krb5/usr.sbin/tcpdump/tcpdump/Makefile
  projects/krb5/usr.sbin/tcpdump/tcpdump/config.h
  projects/krb5/usr.sbin/tcpdump/tcpdump/tcpdump.1
  projects/krb5/usr.sbin/traceroute/Makefile
  projects/krb5/usr.sbin/traceroute6/traceroute6.8
  projects/krb5/usr.sbin/traceroute6/traceroute6.c
  projects/krb5/usr.sbin/zic/zic/Makefile
Comment 5 Cy Schubert freebsd_committer 2018-04-03 18:21:39 UTC
Can we run the exp-run now?
Comment 6 Cy Schubert freebsd_committer 2018-04-07 19:46:50 UTC
Created attachment 192316 [details]
Make Heimdal in base private

This patch applies and builds on r332165. Use this.

Please run an exp-run. Thanks.
Comment 7 Antoine Brodin freebsd_committer 2018-04-08 18:29:23 UTC
Exp-run results on amd64:

http://package18.nyi.freebsd.org/build.html?mastername=headamd64PR222745-default&build=2018-04-07_20h43m07s

More than 8400 ports were newly skipped,  mainly due to ftp/curl failure

New failure logs:

http://package18.nyi.freebsd.org/data/headamd64PR222745-default/2018-04-07_20h43m07s/logs/errors/adcli-0.8.1_1.log
http://package18.nyi.freebsd.org/data/headamd64PR222745-default/2018-04-07_20h43m07s/logs/errors/ap24-mod_auth_kerb2-5.4_8.log
http://package18.nyi.freebsd.org/data/headamd64PR222745-default/2018-04-07_20h43m07s/logs/errors/curl-7.59.0.log
http://package18.nyi.freebsd.org/data/headamd64PR222745-default/2018-04-07_20h43m07s/logs/errors/cvs+ipv6-1.20120905_3.log
http://package18.nyi.freebsd.org/data/headamd64PR222745-default/2018-04-07_20h43m07s/logs/errors/cvs-1.20120905_5.log
http://package18.nyi.freebsd.org/data/headamd64PR222745-default/2018-04-07_20h43m07s/logs/errors/cyrus-sasl-gssapi-2.1.26_7.log
http://package18.nyi.freebsd.org/data/headamd64PR222745-default/2018-04-07_20h43m07s/logs/errors/dupmerge-1.73.log
http://package18.nyi.freebsd.org/data/headamd64PR222745-default/2018-04-07_20h43m07s/logs/errors/fetchmail-6.3.26_5.log
http://package18.nyi.freebsd.org/data/headamd64PR222745-default/2018-04-07_20h43m07s/logs/errors/freeradius3-3.0.16.log
http://package18.nyi.freebsd.org/data/headamd64PR222745-default/2018-04-07_20h43m07s/logs/errors/kstart-4.2_1.log
http://package18.nyi.freebsd.org/data/headamd64PR222745-default/2018-04-07_20h43m07s/logs/errors/msktutil-1.0_1.log
http://package18.nyi.freebsd.org/data/headamd64PR222745-default/2018-04-07_20h43m07s/logs/errors/nss_ldap-1.265_12.log
http://package18.nyi.freebsd.org/data/headamd64PR222745-default/2018-04-07_20h43m07s/logs/errors/openconnect-7.08.log
http://package18.nyi.freebsd.org/data/headamd64PR222745-default/2018-04-07_20h43m07s/logs/errors/p5-Authen-Krb5-1.9_2.log
http://package18.nyi.freebsd.org/data/headamd64PR222745-default/2018-04-07_20h43m07s/logs/errors/p5-Authen-Krb5-Simple-0.43.log
http://package18.nyi.freebsd.org/data/headamd64PR222745-default/2018-04-07_20h43m07s/logs/errors/p5-Heimdal-Kadm5-0.08.log
http://package18.nyi.freebsd.org/data/headamd64PR222745-default/2018-04-07_20h43m07s/logs/errors/pam_krb5-rh-2.4.13.log
http://package18.nyi.freebsd.org/data/headamd64PR222745-default/2018-04-07_20h43m07s/logs/errors/putty-nogtk-0.70.log
http://package18.nyi.freebsd.org/data/headamd64PR222745-default/2018-04-07_20h43m07s/logs/errors/py27-kerberos-1.2.5_1.log
http://package18.nyi.freebsd.org/data/headamd64PR222745-default/2018-04-07_20h43m07s/logs/errors/py36-kerberos-1.2.5_1.log
http://package18.nyi.freebsd.org/data/headamd64PR222745-default/2018-04-07_20h43m07s/logs/errors/samba-nsupdate-9.8.6_1.log
http://package18.nyi.freebsd.org/data/headamd64PR222745-default/2018-04-07_20h43m07s/logs/errors/slurm-wlm-17.02.10.log
http://package18.nyi.freebsd.org/data/headamd64PR222745-default/2018-04-07_20h43m07s/logs/errors/squid-3.5.27_3.log
http://package18.nyi.freebsd.org/data/headamd64PR222745-default/2018-04-07_20h43m07s/logs/errors/squid-devel-4.0.23.log
http://package18.nyi.freebsd.org/data/headamd64PR222745-default/2018-04-07_20h43m07s/logs/errors/zephyr-3.0.1_3.log
Comment 8 Cy Schubert freebsd_committer 2018-04-09 03:15:29 UTC
Looks like I'll need to reproduce this locally to get a look at config.log. I'll get back to you.
Comment 9 commit-hook freebsd_committer 2018-04-22 04:14:14 UTC
A commit references this bug:

Author: cy
Date: Sun Apr 22 04:13:58 UTC 2018
New revision: 467911
URL: https://svnweb.freebsd.org/changeset/ports/467911

Log:
  Remove redundant reference to heimdal. This was discovered while
  working through PR 222745, an exp-run to test base with private
  heimdal.

  PR:		222745

Changes:
  head/sysutils/dupmerge/Makefile
  head/sysutils/dupmerge/files/
Comment 10 Cy Schubert freebsd_committer 2018-04-22 04:50:56 UTC
Taking ownership as I work through each identified build failure.
Comment 11 Cy Schubert freebsd_committer 2018-07-02 07:13:06 UTC
Created attachment 194828 [details]
New make heimdal in base private

Apply this patch to base then the next patch to ports, then rerun the exp-run, please.
Comment 12 Cy Schubert freebsd_committer 2018-07-02 07:13:55 UTC
Created attachment 194829 [details]
Ports patch

Apply this patch to ports before exp-run.
Comment 13 Cy Schubert freebsd_committer 2018-07-02 07:16:21 UTC
Hi portmgr@,

Please rerun the exp-run. Apply the new heimdal patch to base and the ports patch to ports, please.

Assigning this PR back to portmgr@.
Comment 14 Antoine Brodin freebsd_committer 2018-07-05 19:54:35 UTC
There is a problem with the ports patch,  do you plan to switch freebsd 10.x and 11.x to mit kerberos ?
Comment 15 Cy Schubert freebsd_committer 2018-07-05 20:05:21 UTC
I'll try the ports patch again here.

I wasn't planning on MFCing the patch to 10 or 11. I'll add that check to the patch.
Comment 16 Cy Schubert freebsd_committer 2018-07-05 20:06:01 UTC
Taking to update ports patch for only 12.
Comment 17 Cy Schubert freebsd_committer 2018-09-15 20:57:04 UTC
Created attachment 197116 [details]
UPdated patch to make Hiemdal in base private

This patch is to be applied to base to make heimdal private.
Comment 18 Cy Schubert freebsd_committer 2018-09-15 20:58:01 UTC
Created attachment 197117 [details]
Ports patch

This is the ports patch.
Comment 19 Cy Schubert freebsd_committer 2018-09-15 21:02:28 UTC
Hi portmgr@,

I've updated both patches. Please run two exp-runs. The first one with the hiemdal private patch applied and the second without the patch applied. Both need the ports patch applied. The one without having heimdal private can be run on FreeBSD HEAD or against FreeBSD-11.

The ports patch is designed to work with FreeBSD systems with private heimdal (probably FreeBSD-13) and on earlier systems.

Thank you for running this for me.
Comment 21 Cy Schubert freebsd_committer 2018-09-19 19:37:49 UTC
Some ports never had a default. I'll add one with a XXX comment asking if the other is more appropriate. I'll add some defaults and send a new ports patch.
Comment 22 Cy Schubert freebsd_committer 2018-09-20 01:59:39 UTC
Created attachment 197256 [details]
Ports patch

This patch assumes some OPTIONS_DEFAULTS to avoid poudriere failures.

Can you please run this against a system with private kerberos and without a private kerberos?

Thank you for your help so far.